
Infrastructure - Story #4475

libclient_java 1.3.0 Release

2014-03-17 22:20 - Rob Nahf

Status: Closed Start date: 2014-04-15

Priority: Normal Due date: 2014-05-10

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2014.18-Block.3.1   

Story Points:    

Description

the latest tag is 1.2.5.

Differences between trunk:

CertificateManager:  better javadoc statements, no new functionality

D1Client:  getMN(NodeReference) now sets the nodeId in the MNode object (bug fix or feature?)

D1Node: recastClientSideExceptionToServiceFailure  sets initCause  (bug fix or feature?)

DataPackage: improved javadoc statements, refactored getMap()

new ExampleDataPackageUpload class

ResourceMapFactory: new deserializeResourceMap and getOREModel methods - used for DataPackage size analysis - not sure if

used elsewhere, but want to keep them.

SysMetaModificationDateComparator: new class

SysMetaUploadDateComparator: new class

Subtasks:

Task # 4789: Refactor comparators for release Closed

Task # 5123: create v1.3 branch for libclient_java Closed

Task # 5124: create 1.3.0 tag for libclient_java Closed

Related issues:

Related to Infrastructure - Story #4461: CCI 1.2.6 Feature Release Closed 2014-03-19 2014-05-10

History

#1 - 2014-04-07 21:17 - Rob Nahf

because of the new comparator classes used by metacat-related products, it would be good to release under a new minor version, after a quick

review of functionality to makes sure the behavior is standard - would implement a standard set of behaviors around those types.

The two SysMeta comparators seem very application-specific, comparing two system metadata objects and assigning them equal if the mod or

upload dates match.  Maybe they should be put in an org.dataone.client subpackage instead of service.types.v1

#2 - 2014-04-16 16:55 - Rob Nahf

ResourceMapFactoryTest relies on a new test resource in d1_test_resources, so will merge that resource into latest branch to avoid creating a new

branch  from trunk that would include new untested java code.

#3 - 2014-05-05 21:47 - Skye Roseboom

- Target version changed from 2014.14-Block.2.3 to 2014.18-Block.3.1

#4 - 2014-05-06 17:53 - Rob Nahf

- Status changed from New to In Progress

still need to put on releases.dataone.org
#5 - 2014-10-06 21:03 - Rob Nahf

- Status changed from In Progress to Testing

- Subject changed from create new tag release of d1_libclient_java to libclient_java 1.3.0 Release

- Product Version changed from * to 1.3.0

#6 - 2014-10-06 21:04 - Rob Nahf

- Parent task deleted (#4461)

#7 - 2014-10-06 21:04 - Rob Nahf

- Tracker changed from Task to Story

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2014-05-10

#8 - 2015-02-11 20:40 - Rob Nahf

- Status changed from Testing to Closed
